LibreOffice: XSubmission Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSubmission Interface Reference

is implemented by components which support submitting data. More...

`import <XSubmission.idl;`

Inheritance diagram for XSubmission:

## Public Member Functions
void | submit () raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| tells the component to submit data
void | submitWithInteraction ([in] com::sun::star::task::XInteractionHandler aHandler) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| tells the component to submit data
void | addSubmissionVetoListener ([in] XSubmissionVetoListener listener) raises ( com::sun::star::lang::NoSupportException )
| registers the given listener to be notified when a submission occurs
void | removeSubmissionVetoListener ([in] XSubmissionVetoListener listener) raises ( com::sun::star::lang::NoSupportException )
| revokes a listener which has previously been registered to be notified when a submission occurs
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is implemented by components which support submitting data.

## Member Function Documentation

## ◆ addSubmissionVetoListener()

void addSubmissionVetoListener | ( | [in] XSubmissionVetoListener | listener | ) |
raises | ( | com::sun::star::lang::NoSupportException
| ) |  |

registers the given listener to be notified when a submission occurs

Parameters

  listener | the listener to register

Exceptions

  com::sun::star::lang::NoSupportException | when the component does not support external components vetoing the submission

## ◆ removeSubmissionVetoListener()

void removeSubmissionVetoListener | ( | [in] XSubmissionVetoListener | listener | ) |
raises | ( | com::sun::star::lang::NoSupportException
| ) |  |

revokes a listener which has previously been registered to be notified when a submission occurs

Parameters

  listener | the listener to revoke

Exceptions

  com::sun::star::lang::NoSupportException | when the component does not support external components vetoing the submission

## ◆ submit()

void submit | ( |  | ) |
raises | ( | com::sun::star::util::VetoException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

tells the component to submit data

Exceptions

  com::sun::star::util::VetoException | if the submission has been vetoed. Usually, this indicates that not all requirements for the submission, e.g. data consistency, are fulfilled.
  com::sun::star::lang::WrappedTargetException | if an error occurred during invoking the submission target

## ◆ submitWithInteraction()

void submitWithInteraction | ( | [in] com::sun::star::task::XInteractionHandler | aHandler | ) |
raises | ( | com::sun::star::util::VetoException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

tells the component to submit data

Parameters

  aHandler | This handler allows additional user interaction, which may be necessary before the submission can be performed.

Exceptions

  com::sun::star::util::VetoException | if the submission has been vetoed. Usually, this indicates that not all requirements for the submission, e.g. data consistency, are fulfilled.
  com::sun::star::lang::WrappedTargetException | if an error occurred during invoking the submission target

The documentation for this interface was generated from the following file:

- com/sun/star/form/submission/XSubmission.idl